package com.ym.mec.collectfee.dao;

import com.ym.mec.collectfee.common.dao.BaseDAO;
import com.ym.mec.collectfee.entity.Order;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import java.util.List;

@Component
public interface OrderDao extends BaseDAO<Integer, Order> {

    List<Order> getOrderByUserId(Integer userId);

    List<Order> getOrderByBatch(String batchNum);

    int countOrder(@Param("poName") String poName,@Param("voicePort") String voicePort);

    Order getOrderByOrderNo(@Param("orderNo") String orderNo);

    Order findOrderByStatus(@Param("userId") Integer userId,@Param("status") Integer status);

    int getPayOrderNums();

    List<Order> findPayingOrders();
}